<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>
<link rel="STYLESHEET" href="mailman-install.css" type='text/css' />
<link rel="first" href="mailman-install.html" title='GNU mailman - installation Manual' />
<link rel='last' href='about.html' title='About this document...' />
<link rel='help' href='about.html' title='About this document...' />
<link rel="next" href="node41.html" />
<link rel="prev" href="customizing.html" />
<link rel="parent" href="front.html" />
<link rel="next" href="node41.html" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name='aesop' content='information' />
<title>8 Create a site-wide mailing list</title>
</head>
<body>
<div class="navigation">
<div id='top-navigation-panel' xml:id='top-navigation-panel'>
<table align="center" width="100%" cellpadding="0" cellspacing="2">
<tr>
<td class='online-navigation'><a rel="prev" title="7 review your site"
  href="customizing.html"><img src='previous.png'
  border='0' height='32'  alt='Previous Page' width='32' /></a></td>
<td class='online-navigation'><a rel="parent" title="Front Matter"
  href="front.html"><img src='up.png'
  border='0' height='32'  alt='Up one Level' width='32' /></a></td>
<td class='online-navigation'><a rel="next" title="9 set up cron"
  href="node41.html"><img src='next.png'
  border='0' height='32'  alt='Next Page' width='32' /></a></td>
<td align="center" width="100%">GNU Mailman - Installation Manual</td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
</tr></table>
<div class='online-navigation'>
<b class="navlabel">Previous:</b>
<a class="sectref" rel="prev" href="customizing.html">7 Review your site</a>
<b class="navlabel">Up:</b>
<a class="sectref" rel="parent" href="front.html">Front Matter</a>
<b class="navlabel">Next:</b>
<a class="sectref" rel="next" href="node41.html">9 Set up cron</a>
</div>
<hr /></div>
</div>
<!--End of Navigation Panel-->

<h1><a name="SECTION001800000000000000000"></a><a name="site-list"></a>
<br>
8 Create a site-wide mailing list
</h1>

<p>
After you have completed the integration of Mailman and your mail server, you
need to create a ``site-wide'' mailing list.  This is the one that password
reminders will appear to come from, and it is required for proper Mailman
operation.  Usually this should be a list called <code>mailman</code>, but if you
need to change this, be sure to change the <var>MAILMAN_SITE_LIST</var> variable in
<span class="file">mm_cfg.py</span>.  You can create the site list with this command, following
the prompts:

<p>
<div class="verbatim"><pre>
    % bin/newlist mailman
</pre></div>

<p>
Now configure your site list.  There is a convenient template for a generic
site list in the installation directory, under <span class="file">data/sitelist.cfg</span> which
can help you with this.  You should review the configuration options in the
template, but note that any options not named in the <span class="file">sitelist.cfg</span> file
won't be changed.

<p>
The template can be applied to your site list by
running:

<p>
<div class="verbatim"><pre>
    % bin/config_list -i data/sitelist.cfg mailman
</pre></div>

<p>
After applying the <span class="file">sitelist.cfg</span> options, be sure you review the
site list's configuration via the admin pages.

<p>
You should also subscribe yourself to the site list.

<p>

<div class="navigation">
<div class='online-navigation'>
<p></p><hr />
<table align="center" width="100%" cellpadding="0" cellspacing="2">
<tr>
<td class='online-navigation'><a rel="prev" title="7 review your site"
  href="customizing.html"><img src='previous.png'
  border='0' height='32'  alt='Previous Page' width='32' /></a></td>
<td class='online-navigation'><a rel="parent" title="Front Matter"
  href="front.html"><img src='up.png'
  border='0' height='32'  alt='Up one Level' width='32' /></a></td>
<td class='online-navigation'><a rel="next" title="9 set up cron"
  href="node41.html"><img src='next.png'
  border='0' height='32'  alt='Next Page' width='32' /></a></td>
<td align="center" width="100%">GNU Mailman - Installation Manual</td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
</tr></table>
<div class='online-navigation'>
<b class="navlabel">Previous:</b>
<a class="sectref" rel="prev" href="customizing.html">7 Review your site</a>
<b class="navlabel">Up:</b>
<a class="sectref" rel="parent" href="front.html">Front Matter</a>
<b class="navlabel">Next:</b>
<a class="sectref" rel="next" href="node41.html">9 Set up cron</a>
</div>
</div>
<hr />
<span class="release-info">Release 2.1, documentation updated on August 26, 2016.</span>
</div>
<!--End of Navigation Panel-->

</body>
</html>
